package sdsi.control;

import java.awt.*;
import java.awt.event.*;

class ConfirmDialog extends Dialog implements ActionListener {
    private boolean confirmAnswer;
   ConfirmDialog(Frame frame, String confirmMesg) {
      super(frame, "Confirm" , true /*modal*/ );
      Label mesgLabel = new Label(confirmMesg,Label.CENTER);
      mesgLabel.setFont(new Font("Dialog",Font.PLAIN,14));
      add("Center",mesgLabel);
      Panel buttonPanel = new Panel();
      buttonPanel.setLayout(new FlowLayout());
      Button yes = new Button("Yes");
      yes.addActionListener(this);
      buttonPanel.add(yes);
      Button no = new Button("  NO  ");
      no.addActionListener(this);
      buttonPanel.add(no);
      add("South",buttonPanel);
      pack();
      this.addWindowListener(new WindowCloser(this));
      Point p = frame.getLocation();  // why can't i do this any better????
      p.translate(40,100);
      this.setLocation(p);
    }
    synchronized public boolean answer() {
      return confirmAnswer;
    }
    synchronized public void actionPerformed(ActionEvent e) {
      confirmAnswer = e.getActionCommand().equals("Yes");
      dispose();
    }
  }