package sdsi.sexp;
/**This exception is used to signify an error when parsing an
   Sexp into a SDSI Object.  It indicates that the S-Expression
   does not correctly represent a SDSI Object.
   **/
public class SexpParseException extends Exception {
  Sexp faulty;
  
  public SexpParseException() {super();}
  public SexpParseException(String s) {super(s);}
  public SexpParseException(String s, Sexp faulty) {
    this(s);
    this.faulty = faulty;
  }
  public Sexp getSexp() {
    return faulty;
  }
}  
